local old_init = SkillTreeTweakData.init

function SkillTreeTweakData:init()
    old_init(self)
	
	local digest = function(value)
		return Application:digest_value(value, true)
	end
	
	local deck2 = {
		upgrades = {
			"weapon_passive_headshot_damage_multiplier"
		},
		cost = 300,
		icon_xy = {1, 0},
		name_id = "menu_deckall_2",
		desc_id = "menu_deckall_2_desc"
	}
	local deck4 = {
		upgrades = {
			"passive_player_xp_multiplier",
			"player_passive_suspicion_bonus",
			"player_passive_armor_movement_penalty_multiplier"
		},
		cost = 600,
		icon_xy = {3, 0},
		name_id = "menu_deckall_4",
		desc_id = "menu_deckall_4_desc"
	}
	local deck6 = {
		upgrades = {
			"armor_kit",
			"player_pick_up_ammo_multiplier"
		},
		cost = 1600,
		icon_xy = {5, 0},
		name_id = "menu_deckall_6",
		desc_id = "menu_deckall_6_desc"
	}
	local deck8 = {
		upgrades = {
			"weapon_passive_damage_multiplier",
			"passive_doctor_bag_interaction_speed_multiplier"
		},
		cost = 3200,
		icon_xy = {7, 0},
		name_id = "menu_deckall_8",
		desc_id = "menu_deckall_8_desc"
	}
	
	self.specializations[17]={
			name_id = "menu_st_spec_17",
			desc_id = "menu_st_spec_17_desc",
			dlc = "chico",
			{
				upgrades = {
					"temporary_chico_injector_1",
					"chico_injector"
				},
				cost = 200,
				icon_xy = {0, 0},
				texture_bundle_folder = "chico",
				name_id = "menu_deck17_1",
				desc_id = "menu_deck17_1_desc"
			},
			deck2,
			{
				upgrades = {
					"player_chico_armor_multiplier_1"
				},
				cost = 400,
				icon_xy = {1, 0},
				texture_bundle_folder = "chico",
				name_id = "menu_deck17_3",
				desc_id = "menu_deck17_3_desc"
			},
			deck4,
			{
				upgrades = {
					"player_chico_preferred_target"
				},
				cost = 1000,
				icon_xy = {2, 0},
				texture_bundle_folder = "chico",
				name_id = "menu_deck17_5",
				desc_id = "menu_deck17_5_desc"
			},
			deck6,
			{
				upgrades = {
					"player_chico_armor_multiplier_2",
					"player_chico_injector_low_health_multiplier"
				},
				cost = 2400,
				icon_xy = {3, 0},
				texture_bundle_folder = "chico",
				name_id = "menu_deck17_7",
				desc_id = "menu_deck17_7_desc"
			},
			deck8,
			{
				upgrades = {
					"player_chico_armor_multiplier_3",
					"player_chico_injector_health_to_speed"
				},
				cost = 4000,
				icon_xy = {0, 1},
				texture_bundle_folder = "chico",
				name_id = "menu_deck17_9",
				desc_id = "menu_deck17_9_desc"
			}
		}
end